#### D.13.2.4 ambientDimension

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  ambientDimension(c); c cone
  ambientDimension(f); f fan
  ambientDimension(p); p polytope

Return:
  int, the dimension of the ambient space the input lives in

Example:

    LIB "gfan.lib";
    intmat M1[2][2]=
    1,0,
    0,1;
    cone c1=coneViaPoints(M1);
    ambientDimension(c1);
    ==> 2
    intmat M2[2][3]=
    1,0,0,
    0,1,0;
    cone c2=coneViaPoints(M2);
    ambientDimension(c2);
    ==> 3
    fan f = emptyFan(3);
    ambientDimension(f);
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.